Skip to content

# Interface: CheckboxProps ‹T›

## Type parameters

▪ T

## Hierarchy

- CheckboxProps

## Index

### Properties

- className
- disabled
- inline
- label
- theme
- value

### Methods

- onChange

## Properties

### `Optional` className

• className? : string

Defined in src/renderer/components/checkbox/checkbox.tsx:7

### `Optional` disabled

• disabled? : boolean

Defined in src/renderer/components/checkbox/checkbox.tsx:10

### `Optional` inline

• inline? : boolean

Defined in src/renderer/components/checkbox/checkbox.tsx:9

### `Optional` label

• label? : React.ReactNode

Defined in src/renderer/components/checkbox/checkbox.tsx:8

### `Optional` theme

• theme? : "dark" | "light"

Defined in src/renderer/components/checkbox/checkbox.tsx:6

### `Optional` value

• value? : T

Defined in src/renderer/components/checkbox/checkbox.tsx:11

## Methods

### `Optional` onChange

▸ onChange(`value`: T, `evt`: ChangeEvent‹HTMLInputElement›): void

Defined in src/renderer/components/checkbox/checkbox.tsx:12

Parameters:

Name | Type
--- | ---
`value` | T
`evt` | ChangeEvent‹HTMLInputElement›

Returns: void